<script lang="ts">
    import type { InterfaceWrapperItem } from './interfaces'

    import codeIcon from '../../assets/code-brackets.svg'
    import commentIcon from '../../assets/comments.svg'
    import pluginIcon from '../../assets/plugin.svg'

    import List from './List.svelte'
    export let items :InterfaceWrapperItem[]

    let iconMap = {
        'code': codeIcon,
        'comments': commentIcon,
        'plugin': pluginIcon,
    }

    function getIcon(iconName) {
        return iconMap[iconName]
    }
</script>

<List { items }>
    <span class="item" slot="item" let:label let:data>
        <img src={getIcon(data.icon)} alt="icon">
        { label }
    </span>
</List>

<style>
    .item {
        display: flex;
        align-items: center;
        padding: 0.3rem;
        border: solid 1px #ddd;
        border-radius: 10px;
        margin: 2px 0;
        width: fit-content;
    }

    img {
        max-width: 30px;
        max-height: 30px;
        margin-right: 0.4rem;
    }
</style>